ru.bitel.bgbilling.kernel.event.events

## Class GetContractCardsList

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.kernel.event.LocalEvent
      - - ru.bitel.bgbilling.kernel.event.events.GetContractCardsList

- All Implemented Interfaces:
    java.io.Serializable

      public class GetContractCardsList
      extends LocalEvent

  Синхронное событие - получение списка карточек регистрации договора.
  Событие вызывается при создании списка карточек договора из конфигурации и поолняет пополяет его.
  Унаследован от `LocalEvent`
  Author:
    pechenie
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `GetContractCardsList()`
    `` | `GetContractCardsList(int userId, int cid, java.util.List<ContractCard> startList)` Конструктор события.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCard(java.lang.String id, java.lang.String title)` Добавляет в список карточек договора новую карточку.
    `java.util.List<ContractCard>` | `getCardList()` Возвращает список карточек договора.

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, prepareMessage, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GetContractCardsList

          protected GetContractCardsList()

    - #### GetContractCardsList

          public GetContractCardsList(int userId,
                                      int cid,
                                      java.util.List<ContractCard> startList)

      Конструктор события.
      Parameters:
        `userId` - - id пользователя, сгенерировавшего событие
        `cid` - id договора
        `startList` - "начальный" список карточек договора, полученный из конфигурации

  - ### Method Detail

    - #### getCardList

          public java.util.List<ContractCard> getCardList()

      Возвращает список карточек договора.
      Returns:
        cardList - список карточек договора

    - #### addCard

          public void addCard(java.lang.String id,
                              java.lang.String title)

      Добавляет в список карточек договора новую карточку.
      Parameters:
        `id` - имя файла
        `title` - название карточки